#version 430

layout ( location = 0 ) in vec3 VertexPosition;
layout ( location = 1 ) in vec3 VertexNormal;
layout ( location = 2 ) in vec2 VertexTexCoord;
layout ( location = 3 ) in vec4 VertexColor;

uniform mat4 ModelViewMat;
uniform mat4 ProjectionMat;

out vec4 Color;

void main()
{
   Color = VertexColor;
   gl_Position = ProjectionMat * ModelViewMat * vec4( VertexPosition, 1.0 );
}